aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-11-arm
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-11-arm')
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-disable-app-reopen.sh6
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-disable-net-lso.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-disable-notifications_and_warnings.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-disable-updates.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-increase_limits.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-mount-vcpkg-cache-drive.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/01-sha1sum-compatibility.sh10
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/03-bashprofile.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/05-systemsetup.sh80
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/06-crashreporter.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/06-disable_spotlight.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/06-disable_update_downloads.sh6
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/07-SSL_keychain.sh11
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/15-xz.sh32
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/20-java.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/20-xcode.sh22
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/21-install-commandlinetools.sh14
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/23-homebrew.sh12
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/24-pyenv.sh49
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/24-sccache.sh3
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-cmake.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-mysql.sh27
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-pip.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-postgresql.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-python2.sh22
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/25-python3.sh20
-rw-r--r--coin/provisioning/qtci-macos-11-arm/26-brew_packages.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-freetype.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-jq.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-ninja.sh10
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-odbc.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-p7zip.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/26-pcre2.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/27-libclang.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/28-libclang-v100-dyn.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/29-install-pkgconfig.sh6
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/30-android.sh64
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/30-fbx.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/30-install-conan.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/30-nodejs.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/35-install-breakpad.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/35-install_protobuf.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/35-openssl.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/36-emsdk.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/36-install_grpc.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/40-qnx700.sh25
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/55-signtools.sh107
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/80-screenresolution.sh6
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/81-bluetooth.sh10
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/90-install-ffmpeg.sh7
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/97-set-locale.sh8
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/98-mimersql.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-11-arm/99-mac-version.sh8
53 files changed, 778 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-11-arm/01-disable-app-reopen.sh b/coin/provisioning/qtci-macos-11-arm/01-disable-app-reopen.sh
new file mode 100755
index 00000000..382fb40c
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-disable-app-reopen.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+BASEDIR=$(dirname "$0")
+"$BASEDIR"/../common/macos/disable-app-reopen.sh
diff --git a/coin/provisioning/qtci-macos-11-arm/01-disable-net-lso.sh b/coin/provisioning/qtci-macos-11-arm/01-disable-net-lso.sh
new file mode 100755
index 00000000..659ebe96
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-disable-net-lso.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+"$(dirname "$0")"/../common/macos/disable_net_lso.sh
diff --git a/coin/provisioning/qtci-macos-11-arm/01-disable-notifications_and_warnings.sh b/coin/provisioning/qtci-macos-11-arm/01-disable-notifications_and_warnings.sh
new file mode 100755
index 00000000..27efbb62
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-disable-notifications_and_warnings.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+"$(dirname "$0")"/../common/macos/disable-notifications_and_warnings.sh
diff --git a/coin/provisioning/qtci-macos-11-arm/01-disable-updates.sh b/coin/provisioning/qtci-macos-11-arm/01-disable-updates.sh
new file mode 100755
index 00000000..a2b2a0f0
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-disable-updates.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/01-increase_limits.sh b/coin/provisioning/qtci-macos-11-arm/01-increase_limits.sh
new file mode 100755
index 00000000..08669e52
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-increase_limits.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+"$(dirname "$0")"/../common/macos/increase_limits.sh
diff --git a/coin/provisioning/qtci-macos-11-arm/01-mount-vcpkg-cache-drive.sh b/coin/provisioning/qtci-macos-11-arm/01-mount-vcpkg-cache-drive.sh
new file mode 100755
index 00000000..2739f40f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-mount-vcpkg-cache-drive.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+# Copyright (C) 2023 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/macos/mount-vcpkg-cache-drive.sh
+source "${BASH_SOURCE%/*}/../common/macos/mount-vcpkg-cache-drive.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/01-sha1sum-compatibility.sh b/coin/provisioning/qtci-macos-11-arm/01-sha1sum-compatibility.sh
new file mode 100755
index 00000000..e52367c8
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/01-sha1sum-compatibility.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+# Copyright (C) 2020 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/macos/sha1sum-compatibility.sh
+source "${BASH_SOURCE%/*}/../common/macos/sha1sum-compatibility.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/03-bashprofile.sh b/coin/provisioning/qtci-macos-11-arm/03-bashprofile.sh
new file mode 100755
index 00000000..4eed8433
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/03-bashprofile.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# Read .bashrc if exist
+printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
+
diff --git a/coin/provisioning/qtci-macos-11-arm/05-systemsetup.sh b/coin/provisioning/qtci-macos-11-arm/05-systemsetup.sh
new file mode 100755
index 00000000..1d8b7f09
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/05-systemsetup.sh
@@ -0,0 +1,80 @@
+#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# This script modified system settings for automated use
+
+targetFile="$HOME/vncpw.txt"
+
+# Fetch password
+curl --retry 5 --retry-delay 10 --retry-max-time 60 "http://ci-files01-hki.ci.qt.io/input/semisecure/vncpw.txt" -o "$targetFile"
+shasum "$targetFile" |grep "a795fccaa8f277e62ec08e6056c544b8b63924a0"
+
+{ VNCPassword=$(cat "$targetFile"); } 2> /dev/null
+NTS_IP=10.212.2.216
+
+echo "Disable Screensaver"
+# For current session
+defaults -currentHost write com.apple.screensaver idleTime 0
+
+echo "Disable sleep"
+sudo pmset sleep 0 displaysleep 0
+
+# For session after a reboot
+mkdir -p "$HOME/Library/LaunchAgents"
+sudo tee -a "$HOME/Library/LaunchAgents/no-screensaver.plist" <<EOT
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+
+<plist version="1.0">
+ <dict>
+ <key>Label</key>
+ <string>org.qt.io.screensaver_disable</string>
+ <key>ProgramArguments</key>
+ <array>
+ <string>defaults</string>
+ <string>-currentHost</string>
+ <string>write</string>
+ <string>com.apple.screensaver</string>
+ <string>idleTime</string>
+ <string>0</string>
+ </array>
+ <key>RunAtLoad</key>
+ <true/>
+ <key>KeepAlive</key>
+ <false/>
+ </dict>
+</plist>
+EOT
+
+defaults write com.apple.screensaver askForPassword -int 0
+
+echo "Set keyboard type rates and delays"
+# normal minimum is 15 (225 ms)
+defaults write -g InitialKeyRepeat -int 15
+# normal minimum is 2 (30 ms)
+defaults write -g KeyRepeat -int 2
+
+set +x
+echo "Enable remote desktop sharing"
+sudo /System/Library/CoreServices/RemoteManagement/ARDAgent.app/Contents/Resources/kickstart -activate -configure -access -on -clientopts -setvnclegacy -vnclegacy yes -clientopts -setvncpw -vncpw "$VNCPassword" -restart -agent -privs -all
+set -x
+
+echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
+echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
+
+sudo systemsetup settimezone GMT
+sudo systemsetup setusingnetworktime on
+sudo rm -f "$targetFile"
+
+# Enable automount for nfs shares
+sudo sed -i'.orig' -e 's:^#/net:/net:' -e 's:hidefromfinder,nosuid:hidefromfinder,nosuid,locallocks,nocallback:' /etc/auto_master || sudo curl -o /etc/auto_master http://ci-files01-hki.ci.qt.io/input/mac/arm/auto_master
+sudo automount -cv
+
+# Disable multicast advertisements
+sudo defaults write /Library/Preferences/com.apple.mDNSResponder.plist NoMulticastAdvertisements -bool true
+
+# Enable Use keyboard navigation to move focus between controls
+defaults write -g AppleKeyboardUIMode -int 2
diff --git a/coin/provisioning/qtci-macos-11-arm/06-crashreporter.sh b/coin/provisioning/qtci-macos-11-arm/06-crashreporter.sh
new file mode 100755
index 00000000..cb7c0774
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/06-crashreporter.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-macos-11-arm/06-disable_spotlight.sh b/coin/provisioning/qtci-macos-11-arm/06-disable_spotlight.sh
new file mode 100755
index 00000000..ab85a262
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/06-disable_spotlight.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+
+# shellcheck source=../common/macos/disable_spotlight.sh
+source "${BASH_SOURCE%/*}/../common/macos/disable_spotlight.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/06-disable_update_downloads.sh b/coin/provisioning/qtci-macos-11-arm/06-disable_update_downloads.sh
new file mode 100755
index 00000000..18cb98ea
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/06-disable_update_downloads.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+BASEDIR=$(dirname "$0")
+"$BASEDIR"/../common/macos/disable_update_downloads.sh
diff --git a/coin/provisioning/qtci-macos-11-arm/07-SSL_keychain.sh b/coin/provisioning/qtci-macos-11-arm/07-SSL_keychain.sh
new file mode 100755
index 00000000..e14dcee9
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/07-SSL_keychain.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+
+# Enables the usage of temporary keychains for SSL autotests
+SetEnvVar "QT_SSL_USE_TEMPORARY_KEYCHAIN" "1"
diff --git a/coin/provisioning/qtci-macos-11-arm/15-xz.sh b/coin/provisioning/qtci-macos-11-arm/15-xz.sh
new file mode 100755
index 00000000..b7e00a20
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/15-xz.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script installs XZ-Utils
+
+# XZ-Utils are needed for uncompressing xz-compressed files
+
+# pkg was self builded.
+# wget https://downloads.sourceforge.net/project/lzmautils/xz-5.2.5.tar.gz
+# tar -xzf xz-5.2.5.tar.gz -C /tmp
+# cd /tmp/xz-5.2.5
+# ./configure
+# make
+# ./configure prefix=/tmp/destination_root
+# make install
+# cd /tmp
+# pkgbuild --root destination_root --identifier io.qt.xz.pkg xz-arm64.pkg
+
+set -ex
+
+# shellcheck source=../common/macos/InstallPKGFromURL.sh
+source "${BASH_SOURCE%/*}/../common/macos/InstallPKGFromURL.sh"
+PrimaryUrl="http://ci-files01-hki.ci.qt.io/input/mac/macos_11.0_big_sur_arm/xz-arm64.pkg"
+# SourceUrl="https://tukaani.org/xz/xz-5.2.5.tar.gz"
+
+SHA1="1afc327965d4af33399ae28f22c4b8e5a9e98dc2"
+DestDir="/"
+
+InstallPKGFromURL "$PrimaryUrl" "$PrimaryUrl" "$SHA1" "$DestDir"
+
+echo "XZ = 5.2.5" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-11-arm/20-java.sh b/coin/provisioning/qtci-macos-11-arm/20-java.sh
new file mode 100755
index 00000000..00c867f4
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/20-java.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/java_arm.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/20-xcode.sh b/coin/provisioning/qtci-macos-11-arm/20-xcode.sh
new file mode 100755
index 00000000..0e844bf0
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/20-xcode.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script installs Xcode
+# Prerequisites: Have Xcode prefetched to local cache as xz compressed.
+# This can be achieved by fetching Xcode_9.xip from Apple Store.
+# Uncompress it with 'xar -xf Xcode_9.xip'
+# Then get https://gist.githubusercontent.com/pudquick/ff412bcb29c9c1fa4b8d/raw/24b25538ea8df8d0634a2a6189aa581ccc6a5b4b/parse_pbzx2.py
+# with which you can run 'python parse_pbzx2.py Content'.
+# This will give you five files called "Content.part<00..05>.cpio.xz".
+# Extract those that have the extension .xz with xz.
+# "cat" together all the content files "cat file1, file2, file3, file4, file5 >file_new"
+# Compress the new file with xz back to something like Xcode_9.xz
+# Upload the file to temporary storage for this script to use.
+
+set -ex
+
+# shellcheck source=../common/macos/install_xcode.sh
+source "${BASH_SOURCE%/*}/../common/macos/install_xcode.sh"
+
+InstallXCode /net/ci-files01-hki.ci.qt.io/hdd/www/input/mac/Xcode_13.2.1.xip 13.2.1
diff --git a/coin/provisioning/qtci-macos-11-arm/21-install-commandlinetools.sh b/coin/provisioning/qtci-macos-11-arm/21-install-commandlinetools.sh
new file mode 100755
index 00000000..6aea79fb
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/21-install-commandlinetools.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/macos/install-commandlinetools.sh
+source "${BASH_SOURCE%/*}/../common/macos/install-commandlinetools.sh"
+version="13.2"
+packageName="Command_Line_Tools_for_Xcode_$version.dmg"
+url="http://ci-files01-hki.ci.qt.io/input/mac/$packageName"
+sha1="b3a0b597435cfbc5c09ad5772cf7313c87032252"
+
+InstallCommandLineTools $url $url $sha1 $packageName $version
diff --git a/coin/provisioning/qtci-macos-11-arm/23-homebrew.sh b/coin/provisioning/qtci-macos-11-arm/23-homebrew.sh
new file mode 100755
index 00000000..c6377114
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/23-homebrew.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+# Copyright (C) 2023 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# Will install homebrew package manager for macOS.
+# WARNING: Requires commandlinetools
+
+
+set -e
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/homebrew_for_arm_mac.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/24-pyenv.sh b/coin/provisioning/qtci-macos-11-arm/24-pyenv.sh
new file mode 100755
index 00000000..3a7a8f77
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/24-pyenv.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2021 The Qt Company Ltd.
+## Copyright (C) 2017 Pelagicore AG
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs python3
+
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+
+# Try with default
+/opt/homebrew/bin/brew install pyenv
diff --git a/coin/provisioning/qtci-macos-11-arm/24-sccache.sh b/coin/provisioning/qtci-macos-11-arm/24-sccache.sh
new file mode 100755
index 00000000..358b23fb
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/24-sccache.sh
@@ -0,0 +1,3 @@
+#!/usr/bin/env bash
+
+source "${BASH_SOURCE%/*}/../common/macos/sccache.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/25-cmake.sh b/coin/provisioning/qtci-macos-11-arm/25-cmake.sh
new file mode 100755
index 00000000..33095880
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-cmake.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/cmake.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/25-mysql.sh b/coin/provisioning/qtci-macos-11-arm/25-mysql.sh
new file mode 100755
index 00000000..0be1e6e8
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-mysql.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+# Copyright (C) 2020 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script installs MySQL
+
+# MySQL is needed for Qt to be able to support MySQL
+
+set -ex
+
+# shellcheck source=../common/macos/InstallAppFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../common/macos/InstallAppFromCompressedFileFromURL.sh"
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+
+PrimaryUrl="http://ci-files01-hki.ci.qt.io/input/mac/macos_10.12_sierra/mysql-5.7.15-osx10.11-x86_64.tar.gz"
+AltUrl="https://dev.mysql.com/get/Downloads/MySQL-5.7/mysql-5.7.15-osx10.11-x86_64.tar.gz"
+SHA1="07949bd42f350b0504a1536b8830b809b4a34fca"
+appPrefix=""
+targetDir="/opt/mysql57/"
+
+sudo mkdir -p "/opt"
+
+InstallAppFromCompressedFileFromURL "$PrimaryUrl" "$AltUrl" "$SHA1" "$appPrefix" "$targetDir"
+
+SetEnvVar "MYSQLBINPATH" "/opt/mysql57/bin"
+echo "MySQL = 5.7.15" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-11-arm/25-pip.sh b/coin/provisioning/qtci-macos-11-arm/25-pip.sh
new file mode 100755
index 00000000..3fc865d0
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-pip.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/pip.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/25-postgresql.sh b/coin/provisioning/qtci-macos-11-arm/25-postgresql.sh
new file mode 100755
index 00000000..06cae6ef
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-postgresql.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/postgresql.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/25-python2.sh b/coin/provisioning/qtci-macos-11-arm/25-python2.sh
new file mode 100755
index 00000000..51331de4
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-python2.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# Copyright (C) 2017 Pelagicore AG
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+set -ex
+
+# This script installs python2
+
+# shellcheck source=../common/macos/InstallPKGFromURL.sh
+source "${BASH_SOURCE%/*}/../common/macos/InstallPKGFromURL.sh"
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+# shellcheck source=../common/macos/pip.sh
+source "${BASH_SOURCE%/*}/../common/macos/pip.sh"
+
+InstallPip python2.7
+
+/usr/local/bin/pip install virtualenv
+
+SetEnvVar "PATH" "/Library/Frameworks/Python.framework/Versions/2.7/bin/:\$PATH"
+
+echo "python2 = 2.7.16" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-11-arm/25-python3.sh b/coin/provisioning/qtci-macos-11-arm/25-python3.sh
new file mode 100755
index 00000000..5a0df739
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/25-python3.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# Copyright (C) 2017 Pelagicore AG
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script installs python3
+
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+
+pyenv install 3.9.7
+
+/Users/qt/.pyenv/versions/3.9.7/bin/pip3 install --user install virtualenv wheel html5lib
+
+SetEnvVar "PYTHON3_PATH" "/Users/qt/.pyenv/versions/3.9.7/bin/"
+SetEnvVar "PIP3_PATH" "/Users/qt/.pyenv/versions/3.9.7/bin/"
+# Use 3.9 as a default python
+SetEnvVar "PATH" "\$PYTHON3_PATH:\$PATH"
+
+echo "python3 = 3.9.7" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-11-arm/26-brew_packages.sh b/coin/provisioning/qtci-macos-11-arm/26-brew_packages.sh
new file mode 100644
index 00000000..aa5b881b
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-brew_packages.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env sh
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# Util-linux is needed for libuuid which is needed during the license service build
+# Path to util-linux folder is defined in 'src/libs/qlicenseservice/CMakeLists.txt'
+brew install util-linux
diff --git a/coin/provisioning/qtci-macos-11-arm/26-freetype.sh b/coin/provisioning/qtci-macos-11-arm/26-freetype.sh
new file mode 100755
index 00000000..fa0790f8
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-freetype.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+brew install freetype
diff --git a/coin/provisioning/qtci-macos-11-arm/26-jq.sh b/coin/provisioning/qtci-macos-11-arm/26-jq.sh
new file mode 100755
index 00000000..4dffcb96
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-jq.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+
+set -ex
+
+brew install jq
diff --git a/coin/provisioning/qtci-macos-11-arm/26-ninja.sh b/coin/provisioning/qtci-macos-11-arm/26-ninja.sh
new file mode 100755
index 00000000..4443eeb4
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-ninja.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/macos/ninja.sh
+source "${BASH_SOURCE%/*}/../common/macos/ninja.sh"
+
+
diff --git a/coin/provisioning/qtci-macos-11-arm/26-odbc.sh b/coin/provisioning/qtci-macos-11-arm/26-odbc.sh
new file mode 100755
index 00000000..2b6b013a
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-odbc.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+# Install libiodbc
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/libiodbc.sh" --with-universal
diff --git a/coin/provisioning/qtci-macos-11-arm/26-p7zip.sh b/coin/provisioning/qtci-macos-11-arm/26-p7zip.sh
new file mode 100755
index 00000000..8cdcd0c3
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-p7zip.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+# Install 7z to be used from command line
+
+set -ex
+
+brew update
+brew install p7zip
diff --git a/coin/provisioning/qtci-macos-11-arm/26-pcre2.sh b/coin/provisioning/qtci-macos-11-arm/26-pcre2.sh
new file mode 100755
index 00000000..c10d6206
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/26-pcre2.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+brew install pcre2
diff --git a/coin/provisioning/qtci-macos-11-arm/27-libclang.sh b/coin/provisioning/qtci-macos-11-arm/27-libclang.sh
new file mode 100755
index 00000000..cc025e6e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/27-libclang.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+# There is only one mac package and common script uses it as a default
+"$BASEDIR/../common/unix/libclang.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/28-libclang-v100-dyn.sh b/coin/provisioning/qtci-macos-11-arm/28-libclang-v100-dyn.sh
new file mode 100755
index 00000000..d95e7e00
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/28-libclang-v100-dyn.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/unix/libclang-v100-dyn.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/29-install-pkgconfig.sh b/coin/provisioning/qtci-macos-11-arm/29-install-pkgconfig.sh
new file mode 100755
index 00000000..33e11580
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/29-install-pkgconfig.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/pkgconfig.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/30-android.sh b/coin/provisioning/qtci-macos-11-arm/30-android.sh
new file mode 100755
index 00000000..3ae2cbf6
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/30-android.sh
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script install Android sdk and ndk.
+
+# It also runs update for SDK API, latest SDK tools, latest platform-tools and build-tools version
+
+set -ex
+
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
+
+targetFolder="/opt/android"
+sdkTargetFolder="$targetFolder/sdk"
+
+basePath="/net/ci-files01-hki.ci.qt.io/hdd/www/input/android"
+
+toolsVersion="2.1"
+# toolsFile dertermines tools version
+toolsFile="commandlinetools-mac-6609375_latest.zip"
+
+ndkVersion="r26b"
+ndkFile="android-ndk-$ndkVersion-darwin.zip"
+sdkBuildToolsVersion="34.0.0"
+# this is compile sdk version
+sdkApiLevel="android-34"
+
+toolsSourceFile="$basePath/$toolsFile"
+ndkSourceFile="$basePath/$ndkFile"
+
+echo "Unzipping Android NDK to '$targetFolder'"
+sudo unzip -q "$ndkSourceFile" -d "$targetFolder"
+echo "Unzipping Android Tools to '$sdkTargetFolder'"
+sudo unzip -q "$toolsSourceFile" -d "$sdkTargetFolder"
+
+echo "Changing ownership of Android files."
+sudo chown -R qt:wheel "$targetFolder"
+
+# Run the following command under `eval` or `sh -c` so that the shell properly splits it
+sdkmanager_no_progress_bar_cmd="tr '\r' '\n' | grep -v '^\[[ =]*\]'"
+
+sudo mkdir "$sdkTargetFolder/cmdline-tools"
+sudo mv "$sdkTargetFolder/tools" "$sdkTargetFolder/cmdline-tools"
+
+echo "Running SDK manager for platforms;$sdkApiLevel, platform-tools and build-tools;$sdkBuildToolsVersion."
+(echo "y"; echo "y") | "$sdkTargetFolder/cmdline-tools/tools/bin/sdkmanager" "--sdk_root=$sdkTargetFolder" \
+ "platforms;$sdkApiLevel" "platform-tools" "build-tools;$sdkBuildToolsVersion" \
+ | eval "$sdkmanager_no_progress_bar_cmd"
+
+echo "Checking the contents of Android SDK..."
+ls -l "$sdkTargetFolder"
+
+SetEnvVar "ANDROID_SDK_ROOT" "$sdkTargetFolder"
+SetEnvVar "ANDROID_NDK_ROOT" "$targetFolder/android-ndk-$ndkVersion"
+SetEnvVar "ANDROID_NDK_HOST" "darwin-x86_64"
+SetEnvVar "ANDROID_API_VERSION" "$sdkApiLevel"
+
+cat << EOB >> ~/versions.txt
+Android SDK tools = $toolsVersion
+Android SDK Build Tools = $sdkBuildToolsVersion
+Android SDK API level = $sdkApiLevel
+Android NDK = $ndkVersion
+EOB
diff --git a/coin/provisioning/qtci-macos-11-arm/30-fbx.sh b/coin/provisioning/qtci-macos-11-arm/30-fbx.sh
new file mode 100755
index 00000000..e991bc08
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/30-fbx.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/fbx_macos.sh"
+
diff --git a/coin/provisioning/qtci-macos-11-arm/30-install-conan.sh b/coin/provisioning/qtci-macos-11-arm/30-install-conan.sh
new file mode 100755
index 00000000..67a4f911
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/30-install-conan.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/unix/install-conan.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/30-nodejs.sh b/coin/provisioning/qtci-macos-11-arm/30-nodejs.sh
new file mode 100755
index 00000000..8f73b2d6
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/30-nodejs.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+brew install nodejs
+
diff --git a/coin/provisioning/qtci-macos-11-arm/35-install-breakpad.sh b/coin/provisioning/qtci-macos-11-arm/35-install-breakpad.sh
new file mode 100755
index 00000000..8a9dde56
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/35-install-breakpad.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/install-breakpad.sh
+source "${BASH_SOURCE%/*}/../common/unix/install-breakpad.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/35-install_protobuf.sh b/coin/provisioning/qtci-macos-11-arm/35-install_protobuf.sh
new file mode 100755
index 00000000..ecb5f835
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/35-install_protobuf.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+# Copyright (C) 2020 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/install_protobuf.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_protobuf.sh"
+
diff --git a/coin/provisioning/qtci-macos-11-arm/35-openssl.sh b/coin/provisioning/qtci-macos-11-arm/35-openssl.sh
new file mode 100755
index 00000000..c86788db
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/35-openssl.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/install-openssl.sh
+source "${BASH_SOURCE%/*}/../common/unix/install-openssl.sh" "macos-universal"
+
diff --git a/coin/provisioning/qtci-macos-11-arm/36-emsdk.sh b/coin/provisioning/qtci-macos-11-arm/36-emsdk.sh
new file mode 100755
index 00000000..c8aec444
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/36-emsdk.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/emsdk.sh
+source "${BASH_SOURCE%/*}/../common/unix/emsdk.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/36-install_grpc.sh b/coin/provisioning/qtci-macos-11-arm/36-install_grpc.sh
new file mode 100755
index 00000000..ecd6a51f
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/36-install_grpc.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+# shellcheck source=../common/unix/install_grpc.sh
+source "${BASH_SOURCE%/*}/../common/unix/install_grpc.sh"
+
diff --git a/coin/provisioning/qtci-macos-11-arm/40-qnx700.sh b/coin/provisioning/qtci-macos-11-arm/40-qnx700.sh
new file mode 100755
index 00000000..48286a67
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/40-qnx700.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Copyright (C) 2020 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# This script installs QNX 7.
+
+targetFolder="/opt/"
+sourceFile="/net/ci-files01-hki.ci.qt.io/hdd/www/input/qnx/qnx700-20190325-2-macos.tar.xz"
+folderName="qnx700"
+
+sudo mkdir -p "$targetFolder"
+
+echo "Extracting QNX 7"
+sudo tar -C "$targetFolder" -Jxf $sourceFile
+
+sudo chown -R qt:wheel "$targetFolder"/"$folderName"
+
+# Verify that we have last file in zip
+if [ ! -f $targetFolder/$folderName/qnxsdp-env.sh ]; then
+ exit 1
+fi
+
+# Set env variables
+echo "export QNX_700=$targetFolder/$folderName" >> ~/.bashrc
+echo "QNX SDP = 7.0.0" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-11-arm/55-signtools.sh b/coin/provisioning/qtci-macos-11-arm/55-signtools.sh
new file mode 100755
index 00000000..ff5a977a
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/55-signtools.sh
@@ -0,0 +1,107 @@
+#!/usr/bin/env sh
+# Copyright (C) 2020 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+# Install tools for singing packages
+# This script assume that OS is vanilla. Target machine dosen't have any signing certificates installed.
+
+set -ex
+
+cache="http://ci-files01-hki.ci.qt.io/input"
+cacheSigningTools="$cache/mac/sign_tools"
+targetFolder="/Users/qt"
+keychains="$targetFolder/Library/Keychains"
+
+Install() {
+
+ url=$1
+ targetFile=$2
+ expectedSha1=$3
+
+ echo "Fetching $targetFile from $url..."
+ curl --retry 5 --retry-delay 10 --retry-max-time 60 "$url" -o "$targetFile"
+ shasum "$targetFile" |grep "$expectedSha1"
+
+}
+
+# qt-license
+sha1QtLicense="9d59241d16f68d914f1c7aa1dc23e05faa169e8d"
+Install "$cache/semisecure/.qt-license" "$targetFolder/.qt-license" $sha1QtLicense
+
+# Login keychain
+sha1LoginKeychainPassword="aae58d00d0a1b179a09f21cfc67f9d16fb95ff36"
+Install "$cacheSigningTools/login_keychain_password.txt" "$targetFolder/login_keychain_password.txt" "$sha1LoginKeychainPassword"
+{ loginKeychainPassword=$(cat "$targetFolder/login_keychain_password.txt"); } 2> /dev/null
+loginKeychain=$keychains/login.keychain
+
+echo "Setting login.keychain as default keychain.."
+security default-keychain -s $loginKeychain*
+echo "Unlocking Login keychain with password.."
+{ security unlock-keychain -p "$loginKeychainPassword" $loginKeychain*; } 2> /dev/null
+
+echo "remove the "Lock after X minutes of inactivity" from login.keychain"
+security set-keychain-settings $loginKeychain
+
+# Apple Worldwide Developer Relations Certification Authority -> https://developer.apple.com/certificationauthority/AppleWWDRCA.cer
+sha1AppleWWDRCA="ff6797793a3cd798dc5b2abef56f73edc9f83a64"
+Install "$cacheSigningTools/AppleWWDRCA.cer" "$targetFolder/AppleWWDRCA.cer" $sha1AppleWWDRCA
+sudo security add-certificates -k $loginKeychain* "$targetFolder/AppleWWDRCA.cer"
+
+# Developer ID Certification Authority -> https://www.apple.com/certificateauthority/DeveloperIDCA.cer
+sha1DeveloperIDCA="3b166c3b7dc4b751c9fe2afab9135641e388e186"
+Install "$cacheSigningTools/DeveloperIDCA.cer" "$targetFolder/DeveloperIDCA.cer" $sha1DeveloperIDCA
+sudo security add-certificates -k $loginKeychain* "$targetFolder/DeveloperIDCA.cer"
+
+# Create script to unlock keychain 'security unlock-keychain -p 'password' Developer_ID_TheQtCompany.keychain'
+sha1UnLockKeychain="4398870e3f558ad28c80566b5f70e24dc29ea724"
+unlockKeychain=$targetFolder/unlock-keychain.sh
+{ Install "$cacheSigningTools/unlock-keychain.sh" "$unlockKeychain" $sha1UnLockKeychain; } 2> /dev/null
+sudo chmod 755 "$unlockKeychain"
+
+# Codesigning requirements file. The bundle identifier in the requirements file should match the identifier of the application that is signed.
+shaCsreq="2c3f00b1845a0f475673fd6934ba25ea51d1f910"
+csreq=$targetFolder/csreq_qt_company.txt
+Install "$cacheSigningTools/csreq_qt_company.txt" "$csreq" $shaCsreq
+chmod 755 "$csreq"
+
+# iOS signing tools
+devIDKeychain="Developer_ID_TheQtCompany.keychain-db"
+shaDevIdKeychain="972cca1879cdaeeb6042f9879756c748a8d1eddc"
+Install "$cacheSigningTools/$devIDKeychain" "$keychains/$devIDKeychain" $shaDevIdKeychain
+echo "Opening $devIDKeychain.."
+open "$keychains/$devIDKeychain"
+
+sha1DeveloperIDTheQtCompanyKeychainPassword="d758e067736bbda7a91ffaec66cd38afdaf68ea6"
+Install "$cacheSigningTools/Developer_ID_TheQtCompany_keychain_password.txt" "$targetFolder/Developer_ID_TheQtCompany_keychain_password.txt" "$sha1DeveloperIDTheQtCompanyKeychainPassword"
+{ DeveloperIDTheQtCompanyKeychainPassword=$(cat "$targetFolder/Developer_ID_TheQtCompany_keychain_password.txt"); } 2> /dev/null
+
+echo "Unlocking $devIDKeychain with password.."
+{ security unlock-keychain -p "$DeveloperIDTheQtCompanyKeychainPassword" $keychains/Developer_ID_TheQtCompany.keychain; } 2> /dev/null
+security set-keychain-settings $keychains/Developer_ID_TheQtCompany.keychain
+
+sha1Ios="aae58d00d0a1b179a09f21cfc67f9d16fb95ff36"
+{ Install "$cacheSigningTools/ios_password.txt" "$targetFolder/ios_password.txt" $sha1Ios; } 2> /dev/null
+{ iosPassword=$(cat "$targetFolder/ios_password.txt"); } 2> /dev/null
+
+iPhoneDeveloper="iPhoneDeveloperCiTeam2020.p12"
+shaIPhoneDeveloper="73136e44fed850f398e85908e4a73f20a6bdd8a2"
+Install "$cacheSigningTools/latest_ios_cert_2020/$iPhoneDeveloper" "$targetFolder/$iPhoneDeveloper" $shaIPhoneDeveloper
+echo "Importing $iPhoneDeveloper.."
+{ security import $targetFolder/$iPhoneDeveloper -k $loginKeychain* -P "$iosPassword" -T /usr/bin/codesign; } 2> /dev/null
+
+iPhoneDistribution="iPhoneDistributionCiTeam2020.p12"
+shaIPhoneDistribution="36215c3cbc6bfee48e86aafbd53c56282fe36d8d"
+Install "$cacheSigningTools/latest_ios_cert_2020/$iPhoneDistribution" "$targetFolder/$iPhoneDistribution" $shaIPhoneDistribution
+echo "Importing $iPhoneDistribution.."
+{ security import "$targetFolder/$iPhoneDistribution" -k $loginKeychain* -P "$iosPassword" -T /usr/bin/codesign; } 2> /dev/null
+
+# Mobileprovision
+echo "Creating directory $targetFolder/Library/MobileDevice/Provisioning Profiles.."
+mkdir "$targetFolder/Library/MobileDevice"
+mkdir "$targetFolder/Library/MobileDevice/Provisioning Profiles"
+shaMobileprovision="ec9697276253ca7bf4401912236f0e6fde4214da"
+Install "$cacheSigningTools/latest_ios_cert_2020/iOS_Dev_2020_citeam.mobileprovision" "$targetFolder/Library/MobileDevice/Provisioning Profiles/iOS_Dev_2020_citeam.mobileprovision" $shaMobileprovision
+
+# Removing password files
+rm -fr "$targetFolder/login_keychain_password.txt"
+
diff --git a/coin/provisioning/qtci-macos-11-arm/80-screenresolution.sh b/coin/provisioning/qtci-macos-11-arm/80-screenresolution.sh
new file mode 100755
index 00000000..ed905a33
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/80-screenresolution.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+"$(dirname "$0")"/../common/macos/screenresolution.sh
+
diff --git a/coin/provisioning/qtci-macos-11-arm/81-bluetooth.sh b/coin/provisioning/qtci-macos-11-arm/81-bluetooth.sh
new file mode 100755
index 00000000..c58b9a34
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/81-bluetooth.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+brew install blueutil
+
+#Disable Bluetooth
+blueutil -p 0
diff --git a/coin/provisioning/qtci-macos-11-arm/90-install-ffmpeg.sh b/coin/provisioning/qtci-macos-11-arm/90-install-ffmpeg.sh
new file mode 100755
index 00000000..23cb13e1
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/90-install-ffmpeg.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/unix/install-ffmpeg.sh" "macos-universal"
diff --git a/coin/provisioning/qtci-macos-11-arm/97-set-locale.sh b/coin/provisioning/qtci-macos-11-arm/97-set-locale.sh
new file mode 100755
index 00000000..bc966cbf
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/97-set-locale.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/set-locale.sh"
diff --git a/coin/provisioning/qtci-macos-11-arm/98-mimersql.sh b/coin/provisioning/qtci-macos-11-arm/98-mimersql.sh
new file mode 100755
index 00000000..70d5bc1d
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/98-mimersql.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/mimersql.sh" "macos-universal"
diff --git a/coin/provisioning/qtci-macos-11-arm/99-mac-version.sh b/coin/provisioning/qtci-macos-11-arm/99-mac-version.sh
new file mode 100755
index 00000000..b9b5aeb0
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-arm/99-mac-version.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+#Copyright (C) 2023 The Qt Company Ltd
+#SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/macos-version.sh"